### Method

# Ggit OId has_prefix

#### Declaration [src]

    gboolean
    ggit_oid_has_prefix (
      GgitOId* oid,
      const gchar* prefix
    )

#### Description [src]

Check whether the object id has a given prefix. Note that the prefix is specified in hexadecimal ASCII.

#### Parameters

`prefix`

  Type: `const gchar*`

  A prefix.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the id has the given prefix, `FALSE` otherwise.